org.sonatype.maven.polyglot

## Class PolyglotModelUtil

- java.lang.Object
- - org.sonatype.maven.polyglot.PolyglotModelUtil

    public class PolyglotModelUtil
    extends java.lang.Object

Support for models.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
Constructor and Description
`PolyglotModelUtil()`

### Method Summary

Methods
`static java.lang.String` `getLocation(java.util.Map<?,?> options)` Gets the location, as configured via the `ModelProcessor.SOURCE` key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolyglotModelUtil

    public PolyglotModelUtil()

### Method Detail

#### getLocation

    public static java.lang.String getLocation(java.util.Map<?,?> options)

Gets the location, as configured via the `ModelProcessor.SOURCE` key. Supports values of:

- String
- File
- URL
- ModelSource

Returns:
  The model location; or null.